Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 591809 - Completly remove hal code from rhn-client-tools
Completly remove hal code from rhn-client-tools
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Suchý
Petr Sklenar
:
Depends On: 591798
Blocks: 564352
  Show dependency treegraph
 
Reported: 2010-05-13 04:23 EDT by Miroslav Suchý
Modified: 2010-07-02 15:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn-client-tools-1.0.0-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 591798
Environment:
Last Closed: 2010-07-02 15:49:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2010-05-13 04:23:02 EDT
+++ This bug was initially created as a clone of Bug #591798 +++

Description of problem:
Currently rhn-client prefer python-gudev if presented. If not it will fallback to hal. We want to remove that hal completly. 
We will keep it in git due rhel5, but for Fedora and RHEL6 we will not package it into rpm.

--- Additional comment from msuchy@redhat.com on 2010-05-13 04:21:07 EDT ---

Commited to git as 31eb96a2f9cfa4413b161057f4aa3164fc7dd997
Comment 1 RHEL Product and Program Management 2010-05-13 05:14:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Miroslav Suchý 2010-05-19 11:07:49 EDT
cherrypicked to satellite.git as commit 6b4bd23cc6d2cf512e123aeb22a7807cbc26d367
Comment 5 Petr Sklenar 2010-06-17 08:58:11 EDT
its not in dependency anymore
tried minimal platform, all works as expected
Comment 6 releng-rhel@redhat.com 2010-07-02 15:49:03 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.